Subject: bug#6769: closed (Re: bug#6769: df (GNU coreutils) 7.4 Dutch output misalignment)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Mar 2011 00:06:02 +0000

Your bug report

#6769: df (GNU coreutils) 7.4 Dutch output misalignment

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6769: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6769
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6769: df (GNU coreutils) 7.4 Dutch output misalignment
From: Pádraig Brady <[email-masked]>
To: [email-masked]
Date: Thu, 24 Mar 2011 00:02:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 23/03/11 10:48, Jim Meyering wrote:
> I've tried to compile with that, and saw some new warnings (using F14's gcc
> 4.5.1 20100924).
> 
> -      char *header = _(headers[field][header_mode]);
> +      char const *header = _(headers[field][header_mode]);

I've fixed that up and pushed the result.
Closing this bug...

thanks,
Pádraig.

Subject: df (GNU coreutils) 7.4 Dutch output misalignment
From: Erik Quaeghebeur <[email-masked]>
To: [email-masked]
Date: Sat, 31 Jul 2010 20:30:59 -0400 (EDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear df-maintainer,

I observed a misalignment of the output of df (GNU coreutils) 7.4 in a 
Dutch locale: from the second column onward, the column header in the 
first row is too far to the right (by six spaces, in the cases I 
investigated).

Sample output (please use a fixed-width font):

$ df
Bestandssysteem           1K-blokken Gebruikt Beschikbr Geb% Aangekoppeld op
/dev/sda7             15306620   6146768   8382308  43% /
none                   1019676       364   1019312   1% /dev
none                   1024188      1728   1022460   1% /dev/shm
none                   1024188       276   1023912   1% /var/run
none                   1024188         0   1024188   0% /var/lock
none                   1024188         0   1024188   0% /lib/init/rw
/dev/sda3                75272     19297     51959  28% /boot
/dev/sda5             40132520  17351692  20742184  46% /home

$ df -h
Bestandssysteem            Grtte   Gebr Besch Geb% Aangekoppeld op
/dev/sda7              15G  5,9G  8,0G  43% /
none                  996M  364K  996M   1% /dev
none                 1001M  1,7M  999M   1% /dev/shm
none                 1001M  276K 1000M   1% /var/run
none                 1001M     0 1001M   0% /var/lock
none                 1001M     0 1001M   0% /lib/init/rw
/dev/sda3              74M   19M   51M  28% /boot
/dev/sda5              39G   17G   20G  46% /home

$ df -P
Bestandssysteem         1024-blokken  Gebruikt Beschikbr Vulgraad Aangekoppeld op
/dev/sda7             15306620   6146768   8382308      43% /
none                   1019676       364   1019312       1% /dev
none                   1024188      1728   1022460       1% /dev/shm
none                   1024188       276   1023912       1% /var/run
none                   1024188         0   1024188       0% /var/lock
none                   1024188         0   1024188       0% /lib/init/rw
/dev/sda3                75272     19297     51959      28% /boot
/dev/sda5             40132520  17352604  20741272      46% /home

No reply necessary. I appreciate your effort and very much understand that 
this minor issue does not have high priority.

Sincerely,

Erik Quaeghebeur